Package org.eclipse.jgit.lib

## Interface BitmapIndex

All Known Implementing Classes:
  `BitmapIndexImpl`

    public interface BitmapIndex

A compressed bitmap representation of the entire object graph.

Since:
  3.0

### Nested Class Summary

Nested Classes
`static interface` `BitmapIndex.Bitmap` A bitmap representation of ObjectIds that can be iterated to return the underlying `ObjectId`s or operated on with other `Bitmap`s.
`static interface` `BitmapIndex.BitmapBuilder` A builder for a bitmap.

### Method Summary

All Methods Instance Methods Abstract Methods
`BitmapIndex.Bitmap` `getBitmap​(AnyObjectId objectId)` Get the bitmap for the id.
`BitmapIndex.BitmapBuilder` `newBitmapBuilder()`

### Method Detail

#### getBitmap

    BitmapIndex.Bitmap getBitmap​(AnyObjectId objectId)

Get the bitmap for the id. The returned bitmap is immutable and the bitwise operations return the result of the operation in a new Bitmap.

Parameters:
  `objectId` - the object ID
Returns:
  the Bitmap for the objectId or null, if one does not exist.

#### newBitmapBuilder

    BitmapIndex.BitmapBuilder newBitmapBuilder()

Returns:
  a new `BitmapBuilder` based on the values in the index.